"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_path_1 = require("node:path");
const content_types_1 = require("@ewizardjs/content-types");
const ramda_1 = require("ramda");
async function default_1(systemSettings, baseDir) {
    const contentType = (0, ramda_1.pathOr)('', ['content', 'type'], systemSettings);
    const blocksDir = (0, ramda_1.pathOr)('', ['path', 'blocks'], systemSettings);
    const localBlocksDir = (0, ramda_1.pathOr)('', ['path', 'localBlocks'], systemSettings);
    const rootComponentPath = (0, ramda_1.pathOr)('', ['path', 'rootComponent'], systemSettings);
    const rootComponentLoaderConfig = {
        test: new RegExp(rootComponentPath),
        use: [
            {
                loader: 'editor-style-loader',
            },
        ],
    };
    const moduleLoaderConfig = {
        test: new RegExp(rootComponentPath),
        use: [
            {
                loader: 'module-style-loader',
            },
        ],
    };
    const blocksLoaderConfig = {
        test: /index\.vue$/,
        include: [(0, node_path_1.resolve)(baseDir, blocksDir), (0, node_path_1.resolve)(baseDir, localBlocksDir)],
        use: [
            {
                loader: 'editor-style-loader',
            },
        ],
    };
    switch (contentType) {
        case content_types_1.ContentTypes.EMAIL:
            return [
                rootComponentLoaderConfig,
                blocksLoaderConfig,
            ];
        case content_types_1.ContentTypes.MODULE:
            return [
                moduleLoaderConfig,
            ];
        default:
            return [];
    }
}
exports.default = default_1;
//# sourceMappingURL=get-style-loaders.js.map