import type { ComponentsFileProps, ContentEntity } from '@ewizardjs/builder-utils';
import type { Page } from '@ewizardjs/pages-api';
import type { SystemSettings } from '@ewizardjs/system-settings';
import type { RuleSetRule } from 'webpack';
export default function (systemSettings: SystemSettings, baseDir: string, componentsFileProps: ComponentsFileProps, pages: Page[] | undefined, contentEntities: ContentEntity[]): Promise<{
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: Record<any, any>;
            filePathProps: Record<any, any>;
            componentsPackageName: Record<any, any>;
            componentType: string;
        };
    }[];
}[] | ({
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: Record<any, any>;
            filePathProps: Record<any, any>;
            componentsPackageName: Record<any, any>;
            componentType: string;
            id: string;
        };
    }[];
} | {
    test: RegExp;
    include: string[];
    use: {
        loader: string;
        options: {
            baseDir: string;
            filePathProps: Record<any, any>;
            componentsPackageName: Record<any, any>;
            componentType: string;
            paths: string[];
        };
    }[];
} | {
    include: string[];
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: Record<any, any>;
            filePathProps: Record<any, any>;
            componentsPackageName: Record<any, any>;
            componentType: string;
        };
    }[];
})[] | (RuleSetRule | {
    test: RegExp;
    use: {
        loader: string;
        options: {
            baseDir: string;
            fileProps: Record<any, any>;
            filePathProps: Record<any, any>;
            componentsPackageName: Record<any, any>;
            componentType: string;
            id: string;
        };
    }[];
})[]>;
